Множественные уязвимости в Poppler

Дата публикации:
06.05.2009
Дата изменения:
06.05.2009
Всего просмотров:
1456
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-0799
CVE-2009-0800
CVE-2009-1179
CVE-2009-1180
CVE-2009-1181
CVE-2009-1182
CVE-2009-1183
CVE-2009-1187
CVE-2009-1188
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
poppler 0.x
Уязвимые версии: Poppler версии до 0.10.6

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Целочисленное переполнение существует в файлах splash/SpashBitmap.cc и poppler/CairoOutputDev.cc. Удаленный пользователь может вызвать переполнение Буфера и выполнить произвольный код на целевой системе.

2. Множественные уязвимости существуют из-за использования уязвимой версии Xpdf. Подробное описание уязвимостей:
www.securitylab.ru/vulnerability/378023.php

URL производителя: poppler.freedesktop.org

Решение: Установите последнюю версию 0.10.6 с сайта производителя.

или введите имя

CAPTCHA